import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
import MoleculeField from '@s-ui/react-molecule-field';
import AtomRadioButton from '@s-ui/react-atom-radio-button';
var BASE_CLASS = 'sui-MoleculeRadioButtonField';

var MoleculeRadioButtonField = function MoleculeRadioButtonField(_ref) {
  var id = _ref.id,
      label = _ref.label,
      nodeLabel = _ref.nodeLabel,
      successText = _ref.successText,
      errorText = _ref.errorText,
      alertText = _ref.alertText,
      helpText = _ref.helpText,
      onChange = _ref.onChange,
      props = _objectWithoutPropertiesLoose(_ref, ["id", "label", "nodeLabel", "successText", "errorText", "alertText", "helpText", "onChange"]);

  return /*#__PURE__*/React.createElement("div", {
    className: BASE_CLASS
  }, /*#__PURE__*/React.createElement(MoleculeField, {
    name: id,
    label: label,
    nodeLabel: nodeLabel,
    successText: successText,
    errorText: errorText,
    alertText: alertText,
    helpText: helpText,
    onChange: onChange,
    inline: true,
    reverse: true
  }, /*#__PURE__*/React.createElement(AtomRadioButton, Object.assign({
    id: id
  }, props))));
};

MoleculeRadioButtonField.displayName = 'MoleculeRadioButtonField';
export default MoleculeRadioButtonField;